Sets the stream to be used by the library for logging

- « Zookeeper::setDeterministicConnOrder

- Zookeeper::setWatcher »

- PHP Manual
- Zookeeper
- Sets the stream to be used by the library for logging

# Zookeeper::setLogStream

(PECL zookeeper >= 0.1.0)

Zookeeper::setLogStream — Sets the stream to be used by the library for logging

### Description

public Zookeeper::setLogStream(resource `$stream`): bool

The zookeeper library uses stderr as its default log stream. Application must make sure the stream is writable. Passing in NULL resets the stream to its default value (stderr).

### Parameters

`stream`

  The stream to be used by the library for logging.

### Return Values

Returns `true` on success or `false` on failure.

### Errors/Exceptions

This method emits PHP error/warning when parameters count or types are wrong or operation fails.

Caution

Since version 0.3.0, this method emits ZookeeperException and it's derivatives.

### See Also

- Zookeeper::setDebugLevel() - Sets the debugging level for the library
- ZookeeperException